Bug 126234 - Kswapd seem to have problems with high I/O workload
Kswapd seem to have problems with high I/O workload
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
: kswapd (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 16:14 EDT by Gustavo Kuhn Andriotti
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gustavo Kuhn Andriotti 2004-06-17 16:14:30 EDT
Description of problem:

Hardware: Compaq Presario X1030

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 9
model name	: Intel(R) Pentium(R) M processor 1400MHz
stepping	: 5
cpu MHz		: 598.126
cache size	: 1024 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr mce cx8 mtrr pge mca cmov pat clflush
dts acpi mmx fxsr sse sse2 tm pbe tm2 est
bogomips	: 1186.66

Memory: 512MB
             total       used       free     shared    buffers     cached
Mem:        517036     510792       6244          0       1268      56276
-/+ buffers/cache:     453248      63788
Swap:       530104       7568     522536

----------------------------------------------

If swap memory is in use, about 200MB in my case, and a high I/O
workload start the S.O. became too overloaded and do not recover by
itself, need to turn off the equipment.

Version-Release number of selected component (if applicable):

kernel-2.6.6-1.435

O.S. updated on 15.06.2004 (complete O.S. update).

How reproducible:

Given those condintions it is always reproducible

Steps to Reproduce:
1. Manage to use swap memory (about 50% is OK);
2. Start any I/O bound process, like some huge file copy;
3. Wait until LA is about 5 (in my case) and start another I/O bound
process.
  
Actual results:

CPU, Memory and swap memory usage goes to 100% and Load Avarage goes
to 10 or 15, depending on the case.

If nothing is done quickly the O.S. can not be administrate to end any
process and try to "save" the current state.

Expected results:

O.S. kernel should manage this workload and swap memory and goes to a
normal usage level after some tasks ends up.

Additional info:

This problem was observed on RHAS2.1 machines and, in lower degree, in
RHAS3.0 and RH9.0.

It seems a recurring problem.
Comment 1 Dave Jones 2004-06-18 09:09:14 EDT
*** Bug 126235 has been marked as a duplicate of this bug. ***
Comment 2 Alex Pircher 2004-09-20 16:32:09 EDT
Adding here, because 126235 was only a Dupe of this one ...

It seems that I've a similar problem: high load & Problems with
Swapping (see below). After crash only turning of and on helps.
The Server is now crashing 1-2 times a day(!)

uname -a:
Linux fedora 2.6.5-1.358 #1 Sat May 8 09:04:50 EDT 2004 i686 athlon
i386 GNU/Linux

I found a few entries in the Logfiles after crash, but not every
time. /var/log/messages:
Sep 18 17:12:54 fedora kernel: ------------[ cut here ]------------
Sep 18 17:12:54 fedora kernel: kernel BUG at mm/swap.c:51!
Sep 18 17:12:54 fedora kernel: invalid operand: 0000 [#1]
Sep 18 17:12:54 fedora kernel: CPU:    0
Sep 18 17:12:54 fedora kernel: EIP:    0060:[<02131fef>]    Not tainted
Sep 18 17:12:54 fedora kernel: EFLAGS: 00010246   (2.6.5-1.358)
Sep 18 17:12:54 fedora kernel: EIP is at put_page+0x57/0x71
Sep 18 17:12:54 fedora kernel: eax: 00000000   ebx: 2023bf70   ecx:
031fcb60   edx: 031fcb60
Sep 18 17:12:54 fedora kernel: esi: 000003dc   edi: 00000020   ebp:
02347f14   esp: 18892be8
Sep 18 17:12:54 fedora kernel: ds: 007b   es: 007b   ss: 0068
Sep 18 17:12:54 fedora kernel: Process httpd (pid: 19343,
threadinfo=18892000 task=08578630)
Sep 18 17:12:54 fedora kernel: Stack: 02134aa0 1f180d00 1f180d00
1f180d00 1d076a80 0213821b 02347f14 0000024a
Sep 18 17:12:54 fedora kernel:        1f180d00 18892000 02116d32
08578630 02148b6f 1f180d00 00000000 18892000
Sep 18 17:12:54 fedora kernel:        1cbc0d00 1b8bab00 0214904a
18892e60 18892000 18892e60 ff000000 1a920380
Sep 18 17:12:54 fedora kernel: Call Trace:
Sep 18 17:12:54 fedora kernel:  [<02134aa0>] clear_page_tables+0x7c/0x8f
Sep 18 17:12:54 fedora kernel:  [<0213821b>] exit_mmap+0x85/0x11c
Sep 18 17:12:54 fedora kernel:  [<02116d32>] mmput+0x3d/0x58
Sep 18 17:12:54 fedora kernel:  [<02148b6f>] exec_mmap+0xb0/0xcb
Sep 18 17:12:54 fedora kernel:  [<0214904a>] flush_old_exec+0x4c0/0x64b
Sep 18 17:12:54 fedora kernel:  [<0215e847>] load_elf_binary+0x497/0xaeb
Sep 18 17:12:54 fedora kernel:  [<02141e11>] get_empty_filp+0x67/0xcc
Sep 18 17:12:54 fedora kernel:  [<02148ab5>] kernel_read+0x31/0x3b
Sep 18 17:12:54 fedora kernel:  [<021493d9>]
search_binary_handler+0x6f/0x1a1
Sep 18 17:12:54 fedora kernel:  [<0215da08>] load_script+0x1bc/0x1cc
Sep 18 17:12:54 fedora kernel:  [<02135342>] follow_page+0xda/0xe5
Sep 18 17:12:54 fedora kernel:  [<0213f1ba>] rw_vm+0x1ce/0x1ea
Sep 18 17:12:54 fedora kernel:  [<021493d9>]
search_binary_handler+0x6f/0x1a1
Sep 18 17:12:54 fedora kernel:  [<02149692>] do_execve+0x187/0x219
Sep 18 17:12:54 fedora kernel:  [<0210492d>] sys_execve+0x2a/0x6f
Sep 18 17:12:54 fedora kernel:
Sep 18 17:12:54 fedora kernel: Code: 0f 0b 33 00 f3 43 29 02 ff 4a 04
0f 94 c0 84 c0 74 07 89 d0
Sep 18 19:55:57 fedora kernel:  ------------[ cut here ]------------
Sep 18 19:55:57 fedora kernel: kernel BUG at mm/swap.c:51!
Sep 18 19:55:57 fedora kernel: invalid operand: 0000 [#2]
Sep 18 19:55:57 fedora kernel: CPU:    0
Sep 18 19:55:57 fedora kernel: EIP:    0060:[<02131fef>]    Not tainted
Sep 18 19:55:57 fedora kernel: EFLAGS: 00010246   (2.6.5-1.358)
Sep 18 19:55:57 fedora kernel: EIP is at put_page+0x57/0x71
Sep 18 19:55:57 fedora kernel: eax: 00000000   ebx: 0f9c6f70   ecx:
03386d00   edx: 03386d00
Sep 18 19:55:57 fedora kernel: esi: 000003dc   edi: 00000020   ebp:
02347f14   esp: 03f05be8
Sep 18 19:55:57 fedora kernel: ds: 007b   es: 007b   ss: 0068
Sep 18 19:55:57 fedora kernel: Process httpd (pid: 27580,
threadinfo=03f05000 task=1bb69830)
Sep 18 19:55:57 fedora kernel: Stack: 02134aa0 1b7b5300 1b7b5300
1b7b5300 085c8580 0213821b 02347f14 0000026c
Sep 18 19:55:57 fedora kernel:        1b7b5300 03f05000 02116d32
1bb69830 02148b6f 1b7b5300 00000000 03f05000
Sep 18 19:55:57 fedora kernel:        19357500 0f602500 0214904a
03f05e60 03f05000 03f05e60 ff000000 0726fc80
Sep 18 19:55:57 fedora kernel: Call Trace:
Sep 18 19:55:57 fedora kernel:  [<02134aa0>] clear_page_tables+0x7c/0x8f
Sep 18 19:55:57 fedora kernel:  [<0213821b>] exit_mmap+0x85/0x11c
Sep 18 19:55:57 fedora kernel:  [<02116d32>] mmput+0x3d/0x58
Sep 18 19:55:57 fedora kernel:  [<02148b6f>] exec_mmap+0xb0/0xcb
Sep 18 19:55:57 fedora kernel:  [<0214904a>] flush_old_exec+0x4c0/0x64b
Sep 18 19:55:57 fedora kernel:  [<0215e847>] load_elf_binary+0x497/0xaeb
Sep 18 19:55:57 fedora kernel:  [<02141e11>] get_empty_filp+0x67/0xcc
Sep 18 19:55:57 fedora kernel:  [<02148ab5>] kernel_read+0x31/0x3b
Sep 18 19:55:57 fedora kernel:  [<021493d9>]
search_binary_handler+0x6f/0x1a1
Sep 18 19:55:57 fedora kernel:  [<0215da08>] load_script+0x1bc/0x1cc
Sep 18 19:55:57 fedora kernel:  [<02135342>] follow_page+0xda/0xe5
Sep 18 19:55:57 fedora kernel:  [<0213f1ba>] rw_vm+0x1ce/0x1ea
Sep 18 19:55:57 fedora kernel:  [<021493d9>]
search_binary_handler+0x6f/0x1a1
Sep 18 19:55:57 fedora kernel:  [<02149692>] do_execve+0x187/0x219
Sep 18 19:55:57 fedora kernel:  [<0210492d>] sys_execve+0x2a/0x6f
Sep 18 19:55:57 fedora kernel:
Sep 18 19:55:57 fedora kernel: Code: 0f 0b 33 00 f3 43 29 02 ff 4a 04
0f 94 c0 84 c0 74 07 89 d0
Comment 3 Anssi Johansson 2004-10-22 18:17:30 EDT
Bug #135312 looks just like this bug.
Comment 4 Dave Jones 2004-10-25 23:39:00 EDT
are things any better with the errata kernel ?
Comment 5 Dave Jones 2005-04-16 01:38:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.